Get a business account
curl --request GET \
--url https://thirdparty.qonto.com/v2/bank_accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/bank_accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/bank_accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/bank_accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/bank_accounts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/bank_accounts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/bank_accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bank_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Primary bank account",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"main": true,
"iban": "FR7616958000010123456789037",
"bic": "BNPAFRPPXXX",
"currency": "EUR",
"balance": "142188.43",
"balance_cents": 14218843,
"authorized_balance": "141148.12",
"authorized_balance_cents": 14114812,
"updated_at": "2024-04-03T12:00:00Z",
"is_external_account": false,
"account_number": 1234567890
}
}Business accounts
Get a business account
Retrieves detailed information about a specific business account identified by its ID.
GET
/
v2
/
bank_accounts
/
{id}
Get a business account
curl --request GET \
--url https://thirdparty.qonto.com/v2/bank_accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/bank_accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/bank_accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/bank_accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/bank_accounts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/bank_accounts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/bank_accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bank_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Primary bank account",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"main": true,
"iban": "FR7616958000010123456789037",
"bic": "BNPAFRPPXXX",
"currency": "EUR",
"balance": "142188.43",
"balance_cents": 14218843,
"authorized_balance": "141148.12",
"authorized_balance_cents": 14114812,
"updated_at": "2024-04-03T12:00:00Z",
"is_external_account": false,
"account_number": 1234567890
}
}Authentication: API key OAuth 2.0
Scope:
Scope:
organization.read Sensitive
It is useful for retrieving up-to-date information, including the current balance and authorized balance of the account.
You can use this endpoint when you need to display account details or verify available funds before initiating a transfer.
Restricted Fields
Full details of a business account are restricted to users with specific permissions (more on permissions). Owners and admins can access all fields. Other users, such as managers, will only see a limited set of fields unless granted the appropriate permissions. Fields Available to All Users:idnamestatusmainorganization_id
currencybalancebalance_centsauthorized_balanceauthorized_balance_cents
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
ID of the business account to retrieve
Response
Business account retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?